summaryrefslogtreecommitdiffstats
path: root/maven/make-pom-one.sh
diff options
context:
space:
mode:
authorMark Raynsford <[email protected]>2014-03-11 20:54:50 +0000
committerMark Raynsford <[email protected]>2014-03-11 20:54:50 +0000
commit75322060978ed360ebf3ad355abd915e868c92a4 (patch)
tree63115d7efbcb942feee43b94424fa9ea914ad946 /maven/make-pom-one.sh
parentf538477c6467f046533b3fc584566dccc768c6f5 (diff)
Massively rewrite project handling. Projects are now defined by directories of
(mostly) single-line config files (essentially a glorified directory-based key/value db). The scripts have been adjusted to work better in isolation (in particular the old copy-jars script has been split into a copy-jars-one and copy-jars script, with the latter executing the former on all projects). Bug 999: Is now fixed. Essentially a variable name was accidentally re-used, meaning the source zip file was copied over the project's main jar file. The -n option was passed to cp, but not the subsequent mv, so the overwrite occurred silently!
Diffstat (limited to 'maven/make-pom-one.sh')
-rwxr-xr-xmaven/make-pom-one.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/maven/make-pom-one.sh b/maven/make-pom-one.sh
new file mode 100755
index 0000000..c1e2c43
--- /dev/null
+++ b/maven/make-pom-one.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if [ $# -ne 2 ]
+then
+ echo "make-pom-one: usage: project version" 1>&2
+ exit 1
+fi
+
+PROJECT="$1"
+shift
+VERSION="$1"
+shift
+
+PLATFORMS=`cat make-platforms.txt | awk '{print $1}'` || exit 1
+
+cd "projects/${PROJECT}" || exit 1
+exec ./pom.sh "${VERSION}" ${PLATFORMS}